;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux gtalk package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The gtalk package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/gtalk") load-path))

(if (string-match "XEmacs" emacs-version)
    (add-menu-button '("Apps") ["Etalk" etalk t ] "--")
  (let ((toolmap (lookup-key global-map [menu-bar tools])))
    (define-key-after toolmap [etalk] '("ETalk" . etalk) [calendar]))
  )

;; Autoloads needed so we don't have to load the whole thing
(autoload 'etalk "etalk" 
  "Talk to anyone on any machine through BSD talk protocol." t)
(autoload 'etalk-reply "etalk" 
  "Queries local talk daemon for name of last caller, and when that
returns, execute the etalk lisp function above." t)
(autoload 'etalk-batch "etalk" 
  "Talk to anyone on any machine through BSD talk protocol from command line." t)
(autoload 'etalk-mail "etalk" 
  "Talk to anyone on any machine through mail as connector." t)
(autoload 'etalk-ringer-on-command "etalk"
  "Turn on ringer so emacs will auto-answer talk requests" t)
(autoload 'tyrant-play-computer "tyrn-ai" 
  "Tyrant mode AI interface to limited games." t)
(autoload 'etalk-report "etalk-error" 
  "Report errors with etalk, with convenient scripts to load things into  mail." t)
(autoload 'finger "finger" 
  "Run finger on a host." t)
